Debian Bug report logs - #516397
xmonad: Add application .desktop file, please

version graph

Package: xmonad; Maintainer for xmonad is Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>; Source for xmonad is src:xmonad.

Reported by: Magnus Therning <magnus@therning.org>

Date: Sat, 21 Feb 2009 08:42:02 UTC

Severity: wishlist

Found in version xmonad/0.8-1

Fixed in version xmonad/0.8.1-1

Done: Joachim Breitner <nomeata@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Joachim Breitner <nomeata@debian.org>:
Bug#516397; Package xmonad. (Sat, 21 Feb 2009 08:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Therning <magnus@therning.org>:
New Bug report received and forwarded. Copy sent to Joachim Breitner <nomeata@debian.org>. (Sat, 21 Feb 2009 08:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Magnus Therning <magnus@therning.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xmonad: Add application .desktop file, please
Date: Sat, 21 Feb 2009 08:40:46 +0000
Package: xmonad
Version: 0.8-1
Severity: wishlist

It seems Gnome 2.24, which is upcoming in Debian Sid, will ignore
settings related to WM in ~/.gnomerc.  The way to configure an
alternative window manager uses gconf and relies on a .desktop file in
/usr/share/applications.  Currently xmonad doesn't come with such a
.desktop file, please consider adding one.

The file I've manually created on my system contains this (inspired by
metacity.desktop):

  [Desktop Entry]
  Type=Application
  Encoding=UTF-8
  Name=Xmonad
  Exec=xmonad
  NoDisplay=true
  X-GNOME-WMName=Xmonad
  X-GNOME-Autostart-Phase=WindowManager
  X-GNOME-Provides=windowmanager
  X-GNOME-Autostart-Notify=true

For more information see the thread at
http://thread.gmane.org/gmane.comp.lang.haskell.xmonad/6557

/M

-- System Information:
Debian Release: 5.0
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.28-6.slh.2-sidux-amd64 (SMP w/2 CPU cores; PREEMPT)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages xmonad depends on:
ii  libc6                     2.9-1          GNU C Library: Shared libraries
ii  libgmp3c2                 2:4.2.2+dfsg-3 Multiprecision arithmetic library
ii  libx11-6                  2:1.1.5-2      X11 client-side library
ii  libxext6                  2:1.0.4-1      X11 miscellaneous extension librar
ii  libxinerama1              2:1.0.3-2      X11 Xinerama extension library
ii  x11-utils                 7.4+1          X11 utilities

Versions of packages xmonad recommends:
ii  libghc6-xmonad-dev            0.8-1      A lightweight X11 window manager
pn  libghc6-xmonad-doc            <none>     (no description available)

xmonad suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#516397; Package xmonad. (Sat, 21 Feb 2009 20:36:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Joachim Breitner <nomeata@debian.org>:
Extra info received and forwarded to list. (Sat, 21 Feb 2009 20:36:02 GMT) Full text and rfc822 format available.

Message #10 received at 516397@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: Magnus Therning <magnus@therning.org>, 516397@bugs.debian.org
Subject: Re: Bug#516397: xmonad: Add application .desktop file, please
Date: Sat, 21 Feb 2009 21:35:19 +0100
[Message part 1 (text/plain, inline)]
Hi,

Am Samstag, den 21.02.2009, 08:40 +0000 schrieb Magnus Therning:
> Package: xmonad
> Version: 0.8-1
> Severity: wishlist
> 
> It seems Gnome 2.24, which is upcoming in Debian Sid, will ignore
> settings related to WM in ~/.gnomerc.  The way to configure an
> alternative window manager uses gconf and relies on a .desktop file in
> /usr/share/applications.  Currently xmonad doesn't come with such a
> .desktop file, please consider adding one.
> 
> The file I've manually created on my system contains this (inspired by
> metacity.desktop):
> 
>   [Desktop Entry]
>   Type=Application
>   Encoding=UTF-8
>   Name=Xmonad
>   Exec=xmonad
>   NoDisplay=true
>   X-GNOME-WMName=Xmonad
>   X-GNOME-Autostart-Phase=WindowManager
>   X-GNOME-Provides=windowmanager
>   X-GNOME-Autostart-Notify=true
> 
> For more information see the thread at
> http://thread.gmane.org/gmane.comp.lang.haskell.xmonad/6557

Thanks for the report. The discussion at the thread does not sound too
promising – is it working fine for you?

Greetings,
Joachim
-- 
Joachim "nomeata" Breitner
Debian Developer
  nomeata@debian.org | ICQ# 74513189 | GPG-Keyid: 4743206C
  JID: nomeata@joachim-breitner.de | http://people.debian.org/~nomeata
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Joachim Breitner <nomeata@debian.org>:
Bug#516397; Package xmonad. (Sat, 21 Feb 2009 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Magnus Therning <magnus@therning.org>:
Extra info received and forwarded to list. Copy sent to Joachim Breitner <nomeata@debian.org>. (Sat, 21 Feb 2009 21:06:05 GMT) Full text and rfc822 format available.

Message #15 received at 516397@bugs.debian.org (full text, mbox):

From: Magnus Therning <magnus@therning.org>
To: Joachim Breitner <nomeata@debian.org>
Cc: 516397@bugs.debian.org
Subject: Re: Bug#516397: xmonad: Add application .desktop file, please
Date: Sat, 21 Feb 2009 21:03:48 +0000
[Message part 1 (text/plain, inline)]
Joachim Breitner wrote:
> Hi,
[..]

> Thanks for the report. The discussion at the thread does not sound too
> promising – is it working fine for you?

Yes, it works fine.  But note that I am running Gnome 2.22, since 2.24
hasn't quite hit Debian yet (it's still not quite installable from
experimental).

I'll be updating to 2.24 as soon as I can and will update this bug if I
run into any problems with running xmonad then.  Feel free to hold off
until then.

/M

-- 
Magnus Therning                        (OpenPGP: 0xAB4DFBA4)
magnus@therning.org          Jabber: magnus@therning.org
http://therning.org/magnus         identi.ca|twitter: magthe

Haskell is an even 'redder' pill than Lisp or Scheme.
     -- PaulPotts

[signature.asc (application/pgp-signature, attachment)]

Reply sent to Joachim Breitner <nomeata@debian.org>:
You have taken responsibility. (Mon, 23 Feb 2009 18:15:03 GMT) Full text and rfc822 format available.

Notification sent to Magnus Therning <magnus@therning.org>:
Bug acknowledged by developer. (Mon, 23 Feb 2009 18:15:03 GMT) Full text and rfc822 format available.

Message #20 received at 516397-close@bugs.debian.org (full text, mbox):

From: Joachim Breitner <nomeata@debian.org>
To: 516397-close@bugs.debian.org
Subject: Bug#516397: fixed in xmonad 0.8.1-1
Date: Mon, 23 Feb 2009 18:02:03 +0000
Source: xmonad
Source-Version: 0.8.1-1

We believe that the bug you reported is fixed in the latest version of
xmonad, which is due to be installed in the Debian FTP archive:

libghc6-xmonad-dev_0.8.1-1_amd64.deb
  to pool/main/x/xmonad/libghc6-xmonad-dev_0.8.1-1_amd64.deb
libghc6-xmonad-doc_0.8.1-1_all.deb
  to pool/main/x/xmonad/libghc6-xmonad-doc_0.8.1-1_all.deb
libghc6-xmonad-prof_0.8.1-1_amd64.deb
  to pool/main/x/xmonad/libghc6-xmonad-prof_0.8.1-1_amd64.deb
xmonad_0.8.1-1.diff.gz
  to pool/main/x/xmonad/xmonad_0.8.1-1.diff.gz
xmonad_0.8.1-1.dsc
  to pool/main/x/xmonad/xmonad_0.8.1-1.dsc
xmonad_0.8.1-1_amd64.deb
  to pool/main/x/xmonad/xmonad_0.8.1-1_amd64.deb
xmonad_0.8.1.orig.tar.gz
  to pool/main/x/xmonad/xmonad_0.8.1.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 516397@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Joachim Breitner <nomeata@debian.org> (supplier of updated xmonad package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 23 Feb 2009 18:45:13 +0100
Source: xmonad
Binary: xmonad libghc6-xmonad-dev libghc6-xmonad-prof libghc6-xmonad-doc
Architecture: source all amd64
Version: 0.8.1-1
Distribution: unstable
Urgency: low
Maintainer: Joachim Breitner <nomeata@debian.org>
Changed-By: Joachim Breitner <nomeata@debian.org>
Description: 
 libghc6-xmonad-dev - A lightweight X11 window manager
 libghc6-xmonad-doc - A lightweight X11 window manager; documentation
 libghc6-xmonad-prof - A lightweight X11 window manager; profiling libraries
 xmonad     - A lightweight X11 window manager
Closes: 516397 516448
Changes: 
 xmonad (0.8.1-1) unstable; urgency=low
 .
   * New upstream release (no changes, only ghc-6.10 compatibility)
     Closes: #516448
   * Added debian/watch
   * Use kaol’s cdbs script in haskell-devscripts
   * Update years in debian/copyright
   * Include .desktop file in /usr/share/applications (Closes: #516397), thanks
     to Magnus Therning
Checksums-Sha1: 
 cee6761e16911c2b782be0ded8470499b6281669 1308 xmonad_0.8.1-1.dsc
 ea9ef82b6921131e356caf996aa97e977731dcb6 52878 xmonad_0.8.1.orig.tar.gz
 4673184674bf22c2999e50f0c0cd2bfabaa6da88 7253 xmonad_0.8.1-1.diff.gz
 1f34c603fdca4812315533c6366ea3514579aa7b 54330 libghc6-xmonad-doc_0.8.1-1_all.deb
 73e5c4002503ab55a66bffb7abbd5b7e298162a3 491872 xmonad_0.8.1-1_amd64.deb
 a46cb320075ddb1af62dc6993261be7c0f89ab08 480904 libghc6-xmonad-dev_0.8.1-1_amd64.deb
 ca7c91f88cb8a4e5e5d905b8e33597cb3a2c32bd 667782 libghc6-xmonad-prof_0.8.1-1_amd64.deb
Checksums-Sha256: 
 e7b8f10d4edc2016cc8821d0c6396174bc1ebcb10d9431cd78fa4ba645de1a5b 1308 xmonad_0.8.1-1.dsc
 9d58789a0bc08d40b9d14097b079822c7b8290d60efc6aa79144abf47d5db32c 52878 xmonad_0.8.1.orig.tar.gz
 9b7577d4f5c7c2c0f4318b4dffb13ea94ab459a506dc5f34127b62bbf24ab858 7253 xmonad_0.8.1-1.diff.gz
 352f519e965fcf9f89b9ba8028e01bebb28b0c4606ab5fd24d196af9948e0d36 54330 libghc6-xmonad-doc_0.8.1-1_all.deb
 28ef0befb4967c998704e76eccd79f0d7afa00778f4a2c235cf5bff50b122a6f 491872 xmonad_0.8.1-1_amd64.deb
 a02c5695db0a7f1cd673294aa47836dc427200a3bf9fc3578305de774909149c 480904 libghc6-xmonad-dev_0.8.1-1_amd64.deb
 6e0d26780d08a41cdbd4db35f939a1e70f296a577601f6c5cb619544aa934df0 667782 libghc6-xmonad-prof_0.8.1-1_amd64.deb
Files: 
 161a2f65148ac1395c794f2cfe33ed49 1308 libdevel optional xmonad_0.8.1-1.dsc
 03a8f0a420902d9eea3df1d8d62598c7 52878 libdevel optional xmonad_0.8.1.orig.tar.gz
 32bb7d5259c0943089ff6ed0ea22463e 7253 libdevel optional xmonad_0.8.1-1.diff.gz
 e7e07d2cba302fdb40e2e499fd320b16 54330 doc optional libghc6-xmonad-doc_0.8.1-1_all.deb
 64d52a9f7295b27470f1c641969f7de1 491872 x11 optional xmonad_0.8.1-1_amd64.deb
 78e387c4efadc1548708910eeb10252a 480904 libdevel optional libghc6-xmonad-dev_0.8.1-1_amd64.deb
 22314cddd1096356f406c217a9dfdd91 667782 libdevel optional libghc6-xmonad-prof_0.8.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkmi4PEACgkQ9ijrk0dDIGwhUQCbBHgLPVQOoF9Xb7jRAx7m3PXW
TqUAnjzYLCaRlj72RU6dv2IeyzFczZ+X
=tAhD
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 30 Apr 2011 09:01:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 18:59:40 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.